
void _efl_canvas_vg_object_fill_mode_set(Eo *obj, Efl_Canvas_Vg_Object_Data *pd, Efl_Canvas_Vg_Fill_Mode fill_mode);

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_canvas_vg_object_fill_mode_set, EFL_FUNC_CALL(fill_mode), Efl_Canvas_Vg_Fill_Mode fill_mode);

Efl_Canvas_Vg_Fill_Mode _efl_canvas_vg_object_fill_mode_get(const Eo *obj, Efl_Canvas_Vg_Object_Data *pd);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_canvas_vg_object_fill_mode_get, Efl_Canvas_Vg_Fill_Mode, 0);

void _efl_canvas_vg_object_viewbox_set(Eo *obj, Efl_Canvas_Vg_Object_Data *pd, Eina_Rect viewbox);

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_canvas_vg_object_viewbox_set, EFL_FUNC_CALL(viewbox), Eina_Rect viewbox);

Eina_Rect _efl_canvas_vg_object_viewbox_get(const Eo *obj, Efl_Canvas_Vg_Object_Data *pd);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_canvas_vg_object_viewbox_get, Eina_Rect, (EINA_RECT_EMPTY()));

void _efl_canvas_vg_object_viewbox_align_set(Eo *obj, Efl_Canvas_Vg_Object_Data *pd, double align_x, double align_y);

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_canvas_vg_object_viewbox_align_set, EFL_FUNC_CALL(align_x, align_y), double align_x, double align_y);

void _efl_canvas_vg_object_viewbox_align_get(const Eo *obj, Efl_Canvas_Vg_Object_Data *pd, double *align_x, double *align_y);

static void __eolian_efl_canvas_vg_object_viewbox_align_get(const Eo *obj, Efl_Canvas_Vg_Object_Data *pd, double *align_x, double *align_y)
{
   if (align_x) *align_x = 0.000000;
   if (align_y) *align_y = 0.000000;
   _efl_canvas_vg_object_viewbox_align_get(obj, pd, align_x, align_y);
}

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV_CONST(efl_canvas_vg_object_viewbox_align_get, EFL_FUNC_CALL(align_x, align_y), double *align_x, double *align_y);

void _efl_canvas_vg_object_root_node_set(Eo *obj, Efl_Canvas_Vg_Object_Data *pd, Efl_Canvas_Vg_Node *root);

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_canvas_vg_object_root_node_set, EFL_FUNC_CALL(root), Efl_Canvas_Vg_Node *root);

Efl_Canvas_Vg_Node *_efl_canvas_vg_object_root_node_get(const Eo *obj, Efl_Canvas_Vg_Object_Data *pd);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_canvas_vg_object_root_node_get, Efl_Canvas_Vg_Node *, NULL);

Eina_Size2D _efl_canvas_vg_object_default_size_get(const Eo *obj, Efl_Canvas_Vg_Object_Data *pd);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_canvas_vg_object_default_size_get, Eina_Size2D, ((Eina_Size2D){0}));

Efl_Object *_efl_canvas_vg_object_efl_object_constructor(Eo *obj, Efl_Canvas_Vg_Object_Data *pd);


Efl_Object *_efl_canvas_vg_object_efl_object_finalize(Eo *obj, Efl_Canvas_Vg_Object_Data *pd);


void _efl_canvas_vg_object_efl_object_invalidate(Eo *obj, Efl_Canvas_Vg_Object_Data *pd);


Eina_Error _efl_canvas_vg_object_efl_file_load(Eo *obj, Efl_Canvas_Vg_Object_Data *pd);


void _efl_canvas_vg_object_efl_file_unload(Eo *obj, Efl_Canvas_Vg_Object_Data *pd);


Eina_Error _efl_canvas_vg_object_efl_file_file_set(Eo *obj, Efl_Canvas_Vg_Object_Data *pd, const char *file);


Eina_Bool _efl_canvas_vg_object_efl_file_save_save(const Eo *obj, Efl_Canvas_Vg_Object_Data *pd, const char *file, const char *key, const Efl_File_Save_Info *info);


Eina_Bool _efl_canvas_vg_object_efl_gfx_frame_controller_animated_get(const Eo *obj, Efl_Canvas_Vg_Object_Data *pd);


Eina_Bool _efl_canvas_vg_object_efl_gfx_frame_controller_frame_set(Eo *obj, Efl_Canvas_Vg_Object_Data *pd, int frame_index);


int _efl_canvas_vg_object_efl_gfx_frame_controller_frame_get(const Eo *obj, Efl_Canvas_Vg_Object_Data *pd);


int _efl_canvas_vg_object_efl_gfx_frame_controller_frame_count_get(const Eo *obj, Efl_Canvas_Vg_Object_Data *pd);


Efl_Gfx_Frame_Controller_Loop_Hint _efl_canvas_vg_object_efl_gfx_frame_controller_loop_type_get(const Eo *obj, Efl_Canvas_Vg_Object_Data *pd);


int _efl_canvas_vg_object_efl_gfx_frame_controller_loop_count_get(const Eo *obj, Efl_Canvas_Vg_Object_Data *pd);


double _efl_canvas_vg_object_efl_gfx_frame_controller_frame_duration_get(const Eo *obj, Efl_Canvas_Vg_Object_Data *pd, int start_frame, int frame_num);


Eina_Bool _efl_canvas_vg_object_efl_gfx_frame_controller_sector_set(Eo *obj, Efl_Canvas_Vg_Object_Data *pd, const char *name, int startframe, int endframe);


Eina_Bool _efl_canvas_vg_object_efl_gfx_frame_controller_sector_get(const Eo *obj, Efl_Canvas_Vg_Object_Data *pd, const char *name, int *startframe, int *endframe);


static Eina_Bool
_efl_canvas_vg_object_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_CANVAS_VG_OBJECT_EXTRA_OPS
#define EFL_CANVAS_VG_OBJECT_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_canvas_vg_object_fill_mode_set, _efl_canvas_vg_object_fill_mode_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_vg_object_fill_mode_get, _efl_canvas_vg_object_fill_mode_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_vg_object_viewbox_set, _efl_canvas_vg_object_viewbox_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_vg_object_viewbox_get, _efl_canvas_vg_object_viewbox_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_vg_object_viewbox_align_set, _efl_canvas_vg_object_viewbox_align_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_vg_object_viewbox_align_get, __eolian_efl_canvas_vg_object_viewbox_align_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_vg_object_root_node_set, _efl_canvas_vg_object_root_node_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_vg_object_root_node_get, _efl_canvas_vg_object_root_node_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_vg_object_default_size_get, _efl_canvas_vg_object_default_size_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_canvas_vg_object_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_finalize, _efl_canvas_vg_object_efl_object_finalize),
      EFL_OBJECT_OP_FUNC(efl_invalidate, _efl_canvas_vg_object_efl_object_invalidate),
      EFL_OBJECT_OP_FUNC(efl_file_load, _efl_canvas_vg_object_efl_file_load),
      EFL_OBJECT_OP_FUNC(efl_file_unload, _efl_canvas_vg_object_efl_file_unload),
      EFL_OBJECT_OP_FUNC(efl_file_set, _efl_canvas_vg_object_efl_file_file_set),
      EFL_OBJECT_OP_FUNC(efl_file_save, _efl_canvas_vg_object_efl_file_save_save),
      EFL_OBJECT_OP_FUNC(efl_gfx_frame_controller_animated_get, _efl_canvas_vg_object_efl_gfx_frame_controller_animated_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_frame_controller_frame_set, _efl_canvas_vg_object_efl_gfx_frame_controller_frame_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_frame_controller_frame_get, _efl_canvas_vg_object_efl_gfx_frame_controller_frame_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_frame_controller_frame_count_get, _efl_canvas_vg_object_efl_gfx_frame_controller_frame_count_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_frame_controller_loop_type_get, _efl_canvas_vg_object_efl_gfx_frame_controller_loop_type_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_frame_controller_loop_count_get, _efl_canvas_vg_object_efl_gfx_frame_controller_loop_count_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_frame_controller_frame_duration_get, _efl_canvas_vg_object_efl_gfx_frame_controller_frame_duration_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_frame_controller_sector_set, _efl_canvas_vg_object_efl_gfx_frame_controller_sector_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_frame_controller_sector_get, _efl_canvas_vg_object_efl_gfx_frame_controller_sector_get),
      EFL_CANVAS_VG_OBJECT_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_canvas_vg_object_class_desc = {
   EO_VERSION,
   "Efl.Canvas.Vg.Object",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Canvas_Vg_Object_Data),
   _efl_canvas_vg_object_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_canvas_vg_object_class_get, &_efl_canvas_vg_object_class_desc, EFL_CANVAS_OBJECT_CLASS, EFL_FILE_MIXIN, EFL_FILE_SAVE_INTERFACE, EFL_GFX_FRAME_CONTROLLER_INTERFACE, NULL);
